The executable is the new implementation of the ideas related to PhLADiPreLiO (Phonetic Languages
Approach to Discovering the Preferred Line Options) for Ukrainian language. It uses hashes and
has at the moment (as of the version 0.9.0.0) not the full functionality. The previous implementation 
and its documentation are at the links:

https://hackage.haskell.org/package/phonetic-languages-simplified-examples-array

[Ukrainian documentation](https://oleksandrzhabenko.github.io/uk/rhythmicity/PhLADiPreLiO.Ukr.21.pdf)

[English documentation](https://oleksandrzhabenko.github.io/uk/rhythmicity/PhLADiPreLiO.Eng.21.pdf)

The draft scientific papers on prosody and the software that is based on the question of why some
lines are easy to pronounce and read while others are not. They are in two languages by the 
following links:

[Ukranian text](https://www.academia.edu/105067723/%D0%A7%D0%BE%D0%BC%D1%83_%D0%B4%D0%B5%D1%8F%D0%BA%D1%96_%D1%80%D1%8F%D0%B4%D0%BA%D0%B8_%D0%BB%D0%B5%D0%B3%D0%BA%D0%BE_%D0%B2%D0%B8%D0%BC%D0%BE%D0%B2%D0%BB%D1%8F%D1%82%D0%B8_%D0%B0_%D1%96%D0%BD%D1%88%D1%96_%D0%BD%D1%96_%D0%B0%D0%B1%D0%BE_%D0%BF%D1%80%D0%BE%D1%81%D0%BE%D0%B4%D0%B8%D1%87%D0%BD%D0%B0_%D0%BD%D0%B5%D1%81%D0%BF%D1%80%D0%BE%D0%B3%D0%BD%D0%BE%D0%B7%D0%BE%D0%B2%D0%B0%D0%BD%D1%96%D1%81%D1%82%D1%8C_%D1%8F%D0%BA_%D1%85%D0%B0%D1%80%D0%B0%D0%BA%D1%82%D0%B5%D1%80%D0%B8%D1%81%D1%82%D0%B8%D0%BA%D0%B0_%D1%82%D0%B5%D0%BA%D1%81%D1%82%D1%83)

[English text](https://www.academia.edu/105067761/Why_some_lines_are_easy_to_pronounce_and_others_are_not_or_prosodic_unpredictability_as_a_characteristic_of_text)

The old documentation for the implementation is available at the following links.
[Новий текст теорії](https://oleksandr-zhabenko.github.io/uk/rhythmicity/phladiprelioUkr.7.pdf)

[New implementation](https://oleksandr-zhabenko.github.io/uk/rhythmicity/phladiprelioEng.7.pdf)

Since the version 0.7.0.0 the default mode for non-tests output is in two-column. This improves 
the UI / UX for the end user. Besides there is the possibility to write the result to a file.

The video with the demonstration of the new functionality in the version 0.7.0.0 is by the link:

https://www.facebook.com/100012184148486/posts/1767318773684244

Examples of the new functionality in the version 0.5.1.1 are in the videos:

https://www.facebook.com/Oleksandr.S.Zhabenko/posts/pfbid033gzq8MCRQsm65mPrzJL25MZNgvW7mezQSywULiVMnqmTBMtSW2jW4ABh6HVMWZNLl

https://www.facebook.com/Oleksandr.S.Zhabenko/posts/pfbid05mMCUu5HVoA6aV4kLJ69tQZHyhTRZgXLRvtdLitWCm6JeB2T2ktfkd2opfjjgTxFl

Video recordings as examples of the working prototype usage and how you can listen to 
Ukrainian text using Google services are at the links below:

https://www.facebook.com/Oleksandr.S.Zhabenko/videos/796964592047546

https://www.facebook.com/Oleksandr.S.Zhabenko/posts/pfbid02EaC4Zwn4YVjfVFWpUhLoHYomiFHZQaiMdorLa6PPx9kXBXepTYPFEFMv8iyV4wAYl

To see the help message with synopsis information, run:

phladiprelioUkr -h

For the list of bash aliases a few of which are used in the videos, see:
https://github.com/Oleksandr-Zhabenko/phladiprelio-alias/blob/main/.bashrc

 Devotion
 ========

P.S.: the author would like to devote this project to support the Foundation GASTROSTARS.
The version 0.9.0.0 is devoted to Vico Kok.

At the day of publication of the first version of the package (12/03/2023) there is
the foundation founder's (this is [Emma Kok](https://www.emmakok.nl)) Birthday.

And on the 17/03/2023 there is the author's Birthday.

And on the 19/03/2023 is the St. Joseph the Betrothed feast for Roman Catholics.

On the 19/04/2023 there is Emma's namesday, the memory of St. Emma of Lesum or Emma of Stiepel 
(also known as Hemma and Imma) Day.

On the 14/05/2023 there is Mother's Day. It is also a good opportunity to support the foundation.

On the 25/05/2023 there is Ascension Day according to the Julian Greek Orthodox calendar.

On the 01/06/2023 many countries including Ukraine and the Netherlands celebrate Children's Day.

On the 09/06/2023 there was unofficial World Friendship Day. 

On the 15/06/2023 there is the final bachelor's exam for Enzo Kok in violin playing in Amsterdam. 

On the 30/07/2023 there is the Birthday of the Vico Kok and also International Friendship Day. 
Therefore, the release version 0.9.0.0 is devoted to Vico.

If you would like to share some financial support, please, contact the mentioned foundation
using the URL:

[Contact Foundation GASTROSTARS](https://gastrostars.nl/hou-mij-op-de-hoogte)

or 

[Donation Page](https://gastrostars.nl/doneren)

